//
//  DiyPaperProtocol.swift
//  ClockWidget
//
//  Created by fff on 2024/6/28.
//

import Foundation

protocol DiyPaperProtocol {
    
}

// 操作项
enum DiyOperation: String {
//    case add
    case delete
    case selected               // 选中
    case beginMoving            // 开始移动
    case endMoving              // 结束移动
//    case scale              // 缩放
//    case rotate             // 旋转
    case flip               // 翻转
    case showKeyboard           // 自动唤起键盘
}

enum DiyPopViewType {
    case unknow
    case stair
    case background
    case sticker
    case text
    
    case allSticker
    
    case effect
    case liveSticker
}

/* 
 1. 贴纸功能
    - 添加
    - 删除
    - 缩放
    - 旋转
    - 翻转
    - 移动
 */

protocol DiyPaperTemplateDelegate: NSObjectProtocol {
    func template(_ templateView: UIView, didOparate type: DiyOperation, for element: DiyElement)
}
